%global release_name kilo

Name:		python-django-horizon-gbp
Version:	2015.1.1
Release:	2%{?dist}
Summary:	Django application for talking to OpenStack Group Based Policy

License:	ASL 2.0
URL:		https://launchpad.net/group-based-policy-ui

Source0:	https://launchpad.net/group-based-policy-ui/%{release_name}/%{version}/+download/group-based-policy-ui-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	python-django-horizon >= 2015.1
Requires:	python-django-horizon < 2015.2
Requires:	python-gbpclient >= 0.10.0
Requires:	python-gbpclient < 0.11


%description
Horizon Django application add-on for Group Based Policy (GBP), which
provides declarative abstractions for achieving scalable intent-based
infrastructure automation. GBP complements the OpenStack networking
model with the notion of policies that can be applied between groups
of network endpoints.


%package -n openstack-dashboard-gbp

Summary:	Group Based Policy add-on for OpenStack Dashboard

Requires:	openstack-dashboard >= 2015.1
Requires:	openstack-dashboard < 2015.2
Requires:	python-django-horizon-gbp >= %{version}

%description -n openstack-dashboard-gbp
OpenStack Dashboard UI add-on for Group Based Policy (GBP), which
provides declarative abstractions for achieving scalable intent-based
infrastructure automation. GBP complements the OpenStack networking
model with the notion of policies that can be applied between groups
of network endpoints.

%prep
%setup -qn group-based-policy-ui-%{version}

find gbpui -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

rm -f requirements.txt


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python2_sitelib}/gbpui/horizon
rm -rf %{buildroot}%{python2_sitelib}/gbpui/openstack_dashboard

# Relocate dashboard panels to /usr/share
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard/
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
mv %{buildroot}%{python2_sitelib}/gbpui/_*_gbp_project_add_panel* \
   %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/enabled

%files
%doc LICENSE
%doc README.rst
%{python2_sitelib}/gbpui
%{python2_sitelib}/group_based_policy_ui*.egg-info


%files -n openstack-dashboard-gbp
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled/*


%changelog
* Wed Oct 07 2015 Kalev Lember <klember@redhat.com> - 2015.1.1-2
- Fix openstack-dashboard-gbp requires

* Mon Oct  5 2015 Robert Kukura <rk@theep.net> - 2015.1.1-1
- Update to upstream 2015.1.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan  9 2015 Robert Kukura <rk@theep.net> - 2014.2-1
- Update to upstream 2014.2
- Add openstack-dashboard-gbp subpackage

* Mon Jan  5 2015 Robert Kukura <rk@theep.net> - 2014.2-0.2.rc1
- Update to rc1

* Tue Dec 16 2014 Robert Kukura <rk@theep.net> - 2014.2-0.1.50cf95cgit
- Initial package for Fedora
